Author Topic: Upgrading from ancient version pre0.2.2  (Read 140 times)

Chrid

  • Just arrived
  • *
  • Posts: 1
Upgrading from ancient version pre0.2.2
« on: September 29, 2019, 09:23:49 PM »
Hi everyone,

I was cleaning out my closet and found my old 550D with magic lantern pre0.2.2 on it. I know it's an old cam but it has only been used about 5 times since I bought back in I think 2011. Trying to breath some new life into it I would like to upgrade ML to the latest 2018 nightly I noticed the file structure on the SD card has changed. The pre0.2.2 version did not have an ML folder. It has the autoexec.bin and a lot of other files in the root, next to that a few folders (cropmks, doc, some others and of course DCIM). I think the change that has been made to the camera's firmware starts up the autoexec.bin file that is in the root. Does that mean I can simply update to the latest nightly by removing all files from the SD card and copying the ML folder, autoexec.bin (and ML-SETUP.FIR) to the card? Or do I need another approach?

Walter Schulz

  • Contributor
  • Hero Member
  • *****
  • Posts: 6871
Re: Upgrading from ancient version pre0.2.2
« Reply #1 on: September 30, 2019, 11:17:27 PM »
Backup those files first. Then proceed as you described.
Photogs and videographers: Assist in proof reading upcoming in-camera help!. Your input is wanted and needed!